Package org.apache.synapse.transport.passthru.config

## Interface PassThroughConfigPNames

-     public interface PassThroughConfigPNames

  Defines configuration parameter names for Pass-through HTTP Transport.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `BLOCK_SERVICE_LIST` | Defines whether viewing services are enabled or not
    `static String` | `C_MAX_ACTIVE` | Defines the maximum open connection limit.
    `static String` | `CLOSE_SOCKET_ON_ENDPOINT_TIMEOUT` | Defines whether we should close target connection on endpoint timeout.
    `static String` | `CONNECTION_GRACE_TIME` | Defines the time allocated to avoid a connection being used at the moment it is being closed or timed out in milliseconds
    `static String` | `CONNECTION_IDLE_TIME` | Defines the time interval for idle connection removal.
    `static String` | `CONSUME_AND_DISCARD` | Define property to mark If an error has happened in the request processing, should consumes the data in pipe completely and discard.
    `static String` | `CONSUME_AND_DISCARD_BY_SECONDARY_POOL` | Define property to mark If an error has happened in the request processing, should consume the data in pipe completely and discard using secondary worker pool.
    `static String` | `CORRELATION_HEADER_NAME_PROPERTY` | Defines the header name set for correlation logs
    `static String` | `DISABLE_KEEPALIVE` | Defines whether HTTP keep-alive is disabled
    `static String` | `EXPECTED_MAX_QUEUEING_TIME` | Defines max waiting time for a request to be queued for a worker thread
    `static String` | `EXPECTED_MAX_QUEUEING_TIME_FOR_MESSAGE_DISCARD_WORKER` | Defines max waiting time for a request to be queued for a worker thread
    `static String` | `HTTP_HEADERS_PRESERVE` | Defines whether ESB needs to preserve the original Http header.
    `static String` | `HTTP_LISTENING_IO_REACTOR_SHARING_ENABLE` | Defines whether Listening IOReactor is shared among non axis2 Listeners
    `static String` | `HTTP_RESPONSE_HEADERS_PRESERVE` | Defines whether ESB needs to preserve the original Http header.
    `static String` | `IGNORE_CASE_SENSITIVE_HEADERS` | Defines whether to ignore case-sensitive headers from excess headers map
    `static String` | `IO_BUFFER_SIZE` | Defines the IO buffer size
    `static String` | `IO_THREADS_PER_REACTOR` | Defines the number of IO dispatcher threads used per reactor
    `static String` | `MAX_CONNECTION_PER_HOST_PORT` | Defines the maximum number of connections per host port
    `static String` | `MAX_MESSAGES_PER_HOST_PORT` | Defines the maximum number of waiting messages per host port
    `static String` | `MAXIMUM_CONNECTION_LIFESPAN` | Defines the time interval for maximum connection lifespan.
    `static String` | `SECONDARY_WORKER_POOL_QUEUE_LENGTH` | Defines the length of the queue that is used to hold Runnable tasks to be executed by the secondary worker pool.
    `static String` | `SECONDARY_WORKER_POOL_SIZE_CORE` | Defines the core size (number of threads) of the secondary worker thread pool.
    `static String` | `SECONDARY_WORKER_POOL_SIZE_MAX` | Defines the maximum size (number of threads) of the secondary worker thread pool.
    `static String` | `SECONDARY_WORKER_THREAD_KEEPALIVE_SEC` | Defines the keep-alive time for extra threads in the secondary worker pool.
    `static String` | `SERVER_HEADER_PRESERVE` | Defines whether ESB needs to preserve the original Server header.
    `static String` | `TLS_GRACEFUL_CONNECTION_TERMINATION` | Defines whether TransportHandler and SourceHandler has to enable/disable TLS graceful connection termination
    `static String` | `TRANSPORT_LISTENER_SHUTDOWN_WAIT_TIME_SEC` |
    `static String` | `USER_AGENT_HEADER_PRESERVE` | Defines whether ESB needs to preserve the original User-Agent header.
    `static String` | `WORKER_POOL_QUEUE_LENGTH` | Defines the length of the queue that is used to hold Runnable tasks to be executed by the worker pool.
    `static String` | `WORKER_POOL_SIZE_CORE` | Defines the core size (number of threads) of the worker thread pool.
    `static String` | `WORKER_POOL_SIZE_MAX` | Defines the maximum size (number of threads) of the worker thread pool.
    `static String` | `WORKER_THREAD_KEEP_ALIVE_SEC` | Defines the keep-alive time for extra threads in the worker pool.

- - ### Field Detail

    - #### WORKER_POOL_SIZE_CORE

          static final String WORKER_POOL_SIZE_CORE

      Defines the core size (number of threads) of the worker thread pool.
      See Also:
        Constant Field Values

    - #### WORKER_POOL_SIZE_MAX

          static final String WORKER_POOL_SIZE_MAX

      Defines the maximum size (number of threads) of the worker thread pool.
      See Also:
        Constant Field Values

    - #### WORKER_THREAD_KEEP_ALIVE_SEC

          static final String WORKER_THREAD_KEEP_ALIVE_SEC

      Defines the keep-alive time for extra threads in the worker pool.
      See Also:
        Constant Field Values

    - #### WORKER_POOL_QUEUE_LENGTH

          static final String WORKER_POOL_QUEUE_LENGTH

      Defines the length of the queue that is used to hold Runnable tasks to be executed by the worker pool.
      See Also:
        Constant Field Values

    - #### IO_THREADS_PER_REACTOR

          static final String IO_THREADS_PER_REACTOR

      Defines the number of IO dispatcher threads used per reactor
      See Also:
        Constant Field Values

    - #### SECONDARY_WORKER_POOL_SIZE_CORE

          static final String SECONDARY_WORKER_POOL_SIZE_CORE

      Defines the core size (number of threads) of the secondary worker thread pool.
      See Also:
        Constant Field Values

    - #### SECONDARY_WORKER_POOL_SIZE_MAX

          static final String SECONDARY_WORKER_POOL_SIZE_MAX

      Defines the maximum size (number of threads) of the secondary worker thread pool.
      See Also:
        Constant Field Values

    - #### SECONDARY_WORKER_THREAD_KEEPALIVE_SEC

          static final String SECONDARY_WORKER_THREAD_KEEPALIVE_SEC

      Defines the keep-alive time for extra threads in the secondary worker pool.
      See Also:
        Constant Field Values

    - #### SECONDARY_WORKER_POOL_QUEUE_LENGTH

          static final String SECONDARY_WORKER_POOL_QUEUE_LENGTH

      Defines the length of the queue that is used to hold Runnable tasks to be executed by the secondary worker pool.
      See Also:
        Constant Field Values

    - #### IO_BUFFER_SIZE

          static final String IO_BUFFER_SIZE

      Defines the IO buffer size
      See Also:
        Constant Field Values

    - #### C_MAX_ACTIVE

          static final String C_MAX_ACTIVE

      Defines the maximum open connection limit.
      See Also:
        Constant Field Values

    - #### USER_AGENT_HEADER_PRESERVE

          static final String USER_AGENT_HEADER_PRESERVE

      Defines whether ESB needs to preserve the original User-Agent header.
      See Also:
        Constant Field Values

    - #### SERVER_HEADER_PRESERVE

          static final String SERVER_HEADER_PRESERVE

      Defines whether ESB needs to preserve the original Server header.
      See Also:
        Constant Field Values

    - #### HTTP_RESPONSE_HEADERS_PRESERVE

          static final String HTTP_RESPONSE_HEADERS_PRESERVE

      Defines whether ESB needs to preserve the original Http header.
      See Also:
        Constant Field Values

    - #### HTTP_HEADERS_PRESERVE

          static final String HTTP_HEADERS_PRESERVE

      Defines whether ESB needs to preserve the original Http header.
      See Also:
        Constant Field Values

    - #### DISABLE_KEEPALIVE

          static final String DISABLE_KEEPALIVE

      Defines whether HTTP keep-alive is disabled
      See Also:
        Constant Field Values

    - #### CONSUME_AND_DISCARD

          static final String CONSUME_AND_DISCARD

      Define property to mark If an error has happened in the request processing, should consumes the data in pipe completely and discard.
      See Also:
        Constant Field Values

    - #### CONSUME_AND_DISCARD_BY_SECONDARY_POOL

          static final String CONSUME_AND_DISCARD_BY_SECONDARY_POOL

      Define property to mark If an error has happened in the request processing, should consume the data in pipe completely and discard using secondary worker pool.
      See Also:
        Constant Field Values

    - #### CLOSE_SOCKET_ON_ENDPOINT_TIMEOUT

          static final String CLOSE_SOCKET_ON_ENDPOINT_TIMEOUT

      Defines whether we should close target connection on endpoint timeout.
      See Also:
        Constant Field Values

    - #### CONNECTION_IDLE_TIME

          static final String CONNECTION_IDLE_TIME

      Defines the time interval for idle connection removal.
      See Also:
        Constant Field Values

    - #### CONNECTION_GRACE_TIME

          static final String CONNECTION_GRACE_TIME

      Defines the time allocated to avoid a connection being used at the moment it is being closed or timed out in milliseconds
      See Also:
        Constant Field Values

    - #### MAXIMUM_CONNECTION_LIFESPAN

          static final String MAXIMUM_CONNECTION_LIFESPAN

      Defines the time interval for maximum connection lifespan.
      See Also:
        Constant Field Values

    - #### MAX_CONNECTION_PER_HOST_PORT

          static final String MAX_CONNECTION_PER_HOST_PORT

      Defines the maximum number of connections per host port
      See Also:
        Constant Field Values

    - #### MAX_MESSAGES_PER_HOST_PORT

          static final String MAX_MESSAGES_PER_HOST_PORT

      Defines the maximum number of waiting messages per host port
      See Also:
        Constant Field Values

    - #### TRANSPORT_LISTENER_SHUTDOWN_WAIT_TIME_SEC

          static final String TRANSPORT_LISTENER_SHUTDOWN_WAIT_TIME_SEC

      See Also:
        Constant Field Values

    - #### HTTP_LISTENING_IO_REACTOR_SHARING_ENABLE

          static final String HTTP_LISTENING_IO_REACTOR_SHARING_ENABLE

      Defines whether Listening IOReactor is shared among non axis2 Listeners
      See Also:
        Constant Field Values

    - #### CORRELATION_HEADER_NAME_PROPERTY

          static final String CORRELATION_HEADER_NAME_PROPERTY

      Defines the header name set for correlation logs
      See Also:
        Constant Field Values

    - #### EXPECTED_MAX_QUEUEING_TIME

          static final String EXPECTED_MAX_QUEUEING_TIME

      Defines max waiting time for a request to be queued for a worker thread
      See Also:
        Constant Field Values

    - #### EXPECTED_MAX_QUEUEING_TIME_FOR_MESSAGE_DISCARD_WORKER

          static final String EXPECTED_MAX_QUEUEING_TIME_FOR_MESSAGE_DISCARD_WORKER

      Defines max waiting time for a request to be queued for a worker thread
      See Also:
        Constant Field Values

    - #### BLOCK_SERVICE_LIST

          static final String BLOCK_SERVICE_LIST

      Defines whether viewing services are enabled or not
      See Also:
        Constant Field Values

    - #### IGNORE_CASE_SENSITIVE_HEADERS

          static final String IGNORE_CASE_SENSITIVE_HEADERS

      Defines whether to ignore case-sensitive headers from excess headers map
      See Also:
        Constant Field Values

    - #### TLS_GRACEFUL_CONNECTION_TERMINATION

          static final String TLS_GRACEFUL_CONNECTION_TERMINATION

      Defines whether TransportHandler and SourceHandler has to enable/disable TLS graceful connection termination
      See Also:
        Constant Field Values